#include<bits/stdc++.h>
#define ios ios_base::sync_with_stdio(0); cin.tie(0); cout.tie(0)
#define dec(x, y) fixed << setprecision((y)) << (x)
#define xx first
#define yy second
#define srt(v) sort((v).begin(), (v).end())
#define srtr(v) sort((v).rbegin(), (v).rend())
#define pb push_back
#define popb pop_back
#define sz(a) (int)(a).size()
#define len(a) (int)(a).length()
#define mp make_pair

using namespace std;

typedef long long ll;
typedef pair<int, int> pii;
typedef pair<ll, ll> pll;

int t;
ll n, m, k;
int main() {
    ios;
    cin >> t;
    while(t--) {
        cin >> n >> m >> k;
        ll sta=n/k;
        ll ost=n%k;
        if(ost*(sta+1LL)*(sta+2LL)+(k-ost)*sta*(sta+1LL)<=2*m) cout << "Tak\n";
        else cout << "Nie\n";
    }
    return 0;
}